FILESEXTRAPATHS_prepend := "${THISDIR}/linux-toradex-fsl:"

SRCREV_mx6 = "551b3ea210ddf7ecf10281c6c1d9cf004018b401"

PR_mx6 = "V2.5b3-gumstix"

SRCBRANCH_mx6 = "toradex_imx_3.14.28_1.0.0_ga-next"

SRC_URI += " \
    file://0001-Bluetooth-Add-tty-HCI-driver.patch \
    file://0002-st_kim-do-not-use-debugfs-functions-if-not-enabled.patch \
    file://0003-st_kim-allow-suspend-if-callback-is-not-registered.patch \
    file://0004-btwilink-add-minimal-device-tree-support.patch \
    file://0005-ti-st-add-device-tree-support.patch \
    file://0006-mmc-Add-SDIO-function-devicetree-subnode-parsing.patch \
    file://0007-imx6dl-colibri-gumstix.dts-Add-Gumstix-expansion.patch \
    file://0008-Fix-ups-for-Gumstix-Expansion-board.patch \
"

COMPATIBLE_MACHINE = "(colibri-imx6|colibri-imx6-gumstix|apalis-imx6)"

do_unpack_append() {
    import os

    s = d.getVar('S',True)
    os.system("cp " + s + "/arch/arm/configs/colibri_imx6_defconfig " + s + "/arch/arm/configs/colibri_imx6_gumstix_defconfig")
}

